## org.eclipse.wst.common.environment
Class NullStatusHandler

    java.lang.Object
      org.eclipse.wst.common.environment.NullStatusHandler

All Implemented Interfaces:
  IStatusHandler

    public class NullStatusHandler

extends java.lang.Object
implements IStatusHandler

This class provides a default implementation of the IStatusHandler interface.

Since:
  1.0

Constructor Summary
`NullStatusHandler()`

Method Summary
`void` `report(org.eclipse.core.runtime.IStatus status)` Reports the given Status with implied options to either continue or abort.
`Choice` `report(org.eclipse.core.runtime.IStatus status, Choice[] choices)` Reports the given Status and set of possible responses.
`void` `reportError(org.eclipse.core.runtime.IStatus status)` Report the given Error Status.
`void` `reportInfo(org.eclipse.core.runtime.IStatus status)` Report the given Info Status.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullStatusHandler

    public NullStatusHandler()

Method Detail

### report

    public Choice report(org.eclipse.core.runtime.IStatus status,
                         Choice[] choices)

  Description copied from interface: `IStatusHandler`
  Reports the given Status and set of possible responses.

  Specified by:
    `report` in interface `IStatusHandler`
  Parameters:
    `status` - the status to report.
    `choices` - the choices that will be displayed to the user.
  Returns:
    returns the choice made by the user/handler.
  See Also:
    `org.eclipse.env.common.IStatusHandler#report(org.eclipse.core.runtime.IStatus, org.eclipse.env.common.Choice[])`

### report

    public void report(org.eclipse.core.runtime.IStatus status)
                throws StatusException

  Description copied from interface: `IStatusHandler`
  Reports the given Status with implied options to either continue or abort.

  Specified by:
    `report` in interface `IStatusHandler`
  Parameters:
    `status` - the status to report.
  Throws:
    `StatusException` - Throws an exception if the handler decides the caller should stop processing.
  See Also:
    `org.eclipse.env.common.IStatusHandler#report(org.eclipse.core.runtime.IStatus)`

### reportError

    public void reportError(org.eclipse.core.runtime.IStatus status)

  Description copied from interface: `IStatusHandler`
  Report the given Error Status. No user feedback is provided.

  Specified by:
    `reportError` in interface `IStatusHandler`
  Parameters:
    `status` - the error status to report.
  See Also:
    `IStatusHandler.reportError(org.eclipse.core.runtime.IStatus)`

### reportInfo

    public void reportInfo(org.eclipse.core.runtime.IStatus status)

  Description copied from interface: `IStatusHandler`
  Report the given Info Status. No user feedback is provided.

  Specified by:
    `reportInfo` in interface `IStatusHandler`
  Parameters:
    `status` - the info status to report.
  See Also:
    `IStatusHandler.reportInfo(org.eclipse.core.runtime.IStatus)`